View Issue Details

IDProjectCategoryView StatusLast Update
07771Development Otherpublic2013-04-26 17:18
ReporterMikoNukka Assigned ToDenisChenu  
PrioritynormalSeverityminor 
Status closedResolutionduplicate 
Product Version 
Target VersionFixed in Version 
Summary07771: jquery missing from 2.0.5 which causes numerous of problems
Description

It seems that developers have accidentally forgotten to add jquery scripts where they should be.

http://website.com\limesurvey\scripts\jquery

Following bugs which I have noticed to occurr due to this

#1 Cannot order questions
#2 File upload problems in chrome/IE

Steps To Reproduce

Fresh install 2.0.5 or just browse the zip archive.

Additional Information

To fix the problem, download the 2.0.0 and take the jquery folder from there.

TagsNo tags attached.

Relationships

related to 07714 closedDenisChenu multi numeric slider broken 
related to 07736 closedDenisChenu Unable to update question/grou order 

Activities

DenisChenu

DenisChenu

2013-04-18 10:56

developer   ~24979

Hello,

No, jq is now in third_party.

Think ranking is now OK, don't test file upload.

MikoNukka

MikoNukka

2013-04-18 13:38

reporter   ~24981

Ok I had no idea. Either way when you debug "question ordering" page you will notice an error which tells you that one of the jquery files is missing from the previous location.

DenisChenu

DenisChenu

2013-04-25 10:21

developer   ~25124

I can confirm for question/group order: fixed in last GIT version.

Please do a bug reporting system for all other js fix to do: we don't reinclde old directory.

DenisChenu

DenisChenu

2013-04-25 10:22

developer   ~25125

Please test upload in last 205 version
https://www.limesurvey.org/en/component/content/article/1-general-news/356-limesurvey-205-beta-2-released

And fill one bug for one js missing or one js bug.

Issue History

Date Modified Username Field Change
2013-04-17 23:58 MikoNukka New Issue
2013-04-18 10:56 DenisChenu Note Added: 24979
2013-04-18 13:38 MikoNukka Note Added: 24981
2013-04-18 14:53 DenisChenu Relationship added related to 07714
2013-04-25 10:21 DenisChenu Note Added: 25124
2013-04-25 10:21 DenisChenu Assigned To => DenisChenu
2013-04-25 10:21 DenisChenu Status new => assigned
2013-04-25 10:22 DenisChenu Note Added: 25125
2013-04-25 10:22 DenisChenu Status assigned => feedback
2013-04-25 10:24 DenisChenu Relationship added related to 07736
2013-04-26 17:18 DenisChenu Status feedback => closed
2013-04-26 17:18 DenisChenu Resolution open => duplicate